Bug 863603 - [abrt] xfdesktop-4.10.0-3.fc18: XInternAtom: Process /usr/bin/xfdesktop was killed by signal 11 (SIGSEGV)
[abrt] xfdesktop-4.10.0-3.fc18: XInternAtom: Process /usr/bin/xfdesktop was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfdesktop (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:d14280d2cc0828d4641fba11949...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 22:15 EDT by Ricardo Silva
Modified: 2014-02-05 17:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:49:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.72 KB, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details
File: environ (1.47 KB, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details
File: backtrace (26.96 KB, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details
File: maps (43.32 KB, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details
File: dso_list (8.21 KB, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details
File: var_log_messages (642 bytes, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details
File: open_fds (639 bytes, text/plain)
2012-10-05 22:15 EDT, Ricardo Silva
no flags Details

  None (edit)
Description Ricardo Silva 2012-10-05 22:15:21 EDT
Version-Release number of selected component:
xfdesktop-4.10.0-3.fc18

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        xfdesktop
crash_function: XInternAtom
kernel:         3.6.0-2.fc18.x86_64

truncated backtrace:
:Thread no. 1 (9 frames)
: #0 XInternAtom at IntAtom.c:174
: #1 xfdesktop_get_workarea_single at xfdesktop-icon-view.c:3138
: #2 xfdesktop_file_icon_manager_get_cached_icon_position at xfdesktop-file-icon-manager.c:1867
: #3 xfdesktop_grid_do_resize at xfdesktop-icon-view.c:3082
: #4 xfdesktop_rootwin_watch_workarea at xfdesktop-icon-view.c:2584
: #6 gdk_event_apply_filters at gdkevents-x11.c:356
: #7 gdk_event_translate at gdkevents-x11.c:1052
: #8 _gdk_events_queue at gdkevents-x11.c:2336
: #14 gtk_main at gtkmain.c:1257
Comment 1 Ricardo Silva 2012-10-05 22:15:24 EDT
Created attachment 622560 [details]
File: core_backtrace
Comment 2 Ricardo Silva 2012-10-05 22:15:26 EDT
Created attachment 622561 [details]
File: environ
Comment 3 Ricardo Silva 2012-10-05 22:15:29 EDT
Created attachment 622562 [details]
File: backtrace
Comment 4 Ricardo Silva 2012-10-05 22:15:31 EDT
Created attachment 622563 [details]
File: limits
Comment 5 Ricardo Silva 2012-10-05 22:15:33 EDT
Created attachment 622564 [details]
File: cgroup
Comment 6 Ricardo Silva 2012-10-05 22:15:37 EDT
Created attachment 622565 [details]
File: maps
Comment 7 Ricardo Silva 2012-10-05 22:15:39 EDT
Created attachment 622566 [details]
File: dso_list
Comment 8 Ricardo Silva 2012-10-05 22:15:41 EDT
Created attachment 622567 [details]
File: var_log_messages
Comment 9 Ricardo Silva 2012-10-05 22:15:43 EDT
Created attachment 622568 [details]
File: open_fds
Comment 10 Kevin Fenzi 2012-10-05 23:22:09 EDT
What were you doing when this happened? 

Can you duplicate it?
Comment 11 Ricardo Silva 2012-10-07 10:39:10 EDT
Hi Kevin! I wasn't doing anything. The problem occurred as soon as I logged into XFCE session.
Comment 12 Kevin Fenzi 2012-10-07 17:18:44 EDT
ok. I will see what I can make of the backtrace. Thanks for reporting.
Comment 13 chris.cassidy 2013-01-03 04:07:27 EST
Attempted to specify a custom font size for xfdesktop icons. xfdesktop crashed, but restarting it applied the changes.

backtrace_rating: 4
Package: xfdesktop-4.10.0-4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 14 Fedora End Of Life 2013-12-21 10:08:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 17:49:19 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.